.checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: inline-block;

    input {
        width: 0;
        height: 0;
        opacity: 0;
        overflow: hidden;
        position: absolute;

        &:checked + .checkbox__label {
            color: var(--color-white);

            &:after {
                opacity: 1;
                visibility: visible;
                transition: .25s;
            }
        }
    }

    &__label {
        color: var(--color-gray);
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(18);
        position: relative;
        padding-left: 34px;
        display: inline-block;

        &:before {
            top: 0;
            left: 0;
            content: '';
            width: 18px;
            height: 18px;
            display: block;
            position: absolute;
            background: transparent;
            border: 1px solid #6B6F78;
        }

        &:after {
            top: 2px;
            left: 6px;
            z-index: 5;
            content: '';
            width: 6px;
            height: 10px;
            position: absolute;
            border-right: 2px solid #6B6F78;
            border-bottom: 2px solid #6B6F78;
            transform: rotate(35deg);
            opacity: 0;
            visibility: hidden;
            transition: .25s;
        }

        a {
            color: #A4ADB6;
            text-decoration: underline;

            &:hover {
                color: $white;
                text-decoration: none;
            }
        }
    }
}
